deprecated

List Assets

[Deprecated] This endpoint list assets in video workspace. You can also pass status and tag to filter assets.

Path Parameters
  • workspace_id
    Type: string
    required

    Gumlet workspace ID. You can get it on Gumlet dashboard or retrieve it using list workspace API.

Query Parameters
  • status
    Type: string enum

    To filter assets on the basis of their current status. Can be specified as a single status value string or comma-separated status values. The status value can be one of queued, processing, ready, errored, and deleted.

    values
    • queued
    • processing
    • ready
    • errored
    • deleted
  • tag
    Type: string

    Input tag on the basis of which assets need to be filtered. To filter on multiple tags use comma-separated string.

  • title
    Type: string

    Title on the basis of which assets need to be filtered.

  • folder
    Type: string

    Folder name on the basis of which assets need to be filtered.

  • offset
    Type: string

    Offset value for a paginated list of assets.

  • size
    Type: string

    Page size for the paginated list. Default: 10 Max Size: 100

  • playlist_id
    Type: string

    filter assets from a playlist.

  • sortBy
    Type: string enum

    assets will be sorted based on the provided field.

    values
    • title
    • duration
    • uploaded_at
    • created_at
  • orderBy
    Type: string enum

    assets will be sorted in the specified order based on provided sortBy field or by default createAt field.

    values
    • asc
    • desc
  • type
    Type: string

    Search for folders, videos, or both. For videos, use videos. For folders, use folders. If you do not send this parameter, it will search for both.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/video/assets/list/{workspace_id}
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoAsset = await client.videoAssets.listDeprecated('workspaceId', {
  sortBy: 'created_at',
  orderBy: 'desc',
});

console.log(videoAsset);
{
  "all_assets": [
    {
      "asset_id": "6192269e0822a81d955d1a4b",
      "progress": 0,
      "created_at": 1636968094594,
      "status": "optimizing",
      "tag": "",
      "source_id": "5f462c1561cf8a766464ffc4",
      "input": {
        "transformations": {
          "resolution": "240p,360p",
          "format": "hls",
          "audio_codec": [
            "aac"
          ],
          "video_codec": [
            "libx264"
          ],
          "thumbnail": [
            "auto"
          ],
          "thumbnail_format": "png",
          "mp4_access": false,
          "audio_only": false,
          "keep_original": true,
          "per_title_encoding": true,
          "process_low_resolution_input": false
        },
        "source_url": "https://gumlet.sgp1.digitaloceanspaces.com/video/BigBuckBunny.mp4",
        "size": 158008374,
        "duration": 596.473333,
        "aspect_ratio": "16:9",
        "fps": 24,
        "width": 1280,
        "height": 720,
        "additional_tracks": [
          {
            "url": "https://gumlet.sgp1.digitaloceanspaces.com/video/BigBuckBunny.aac",
            "type": "audio",
            "language_code": "en",
            "name": "English"
          }
        ]
      },
      "output": {
        "format": "hls",
        "status_url": "https://api.gumlet.com/v1/video/assets/6192269e0822a81d955d1a4b",
        "playback_url": "https://video.gumlet.io/5f462c1561cf8a766464ffc4/6192269e0822a81d955d1a4b/1.m3u8",
        "thumbnail_url": [
          "https://video.gumlet.io/5f462c1561cf8a766464ffc4/6192269e0822a81d955d1a4b/thumbnail-1-0.png"
        ]
      }
    }
  ],
  "total_asset_count": 2159,
  "current_offset": 1,
  "distinct_tags": [
    "",
    "Gumlet",
    "aasas",
    "asasaasas",
    "asasas",
    "asasasasa",
    "asasass",
    "asasdfdfdd",
    "asqs",
    "dsddsd",
    "dualcodectest-2",
    "dualcodectrst",
    "fallbacktest",
    "filtertest",
    "hlstest",
    "josh",
    "josh-2",
    "lilo",
    "newCode",
    "newDashboard",
    "newTest",
    "newtest",
    "rewew",
    "sdsdsdsd",
    "tag-1",
    "test",
    "testDASH",
    "testVideoPad",
    "test_bug",
    "test_dash",
    "testdualCodecsPatch",
    "testgpusyash",
    "testmp4",
    "version_1",
    "version_2",
    "version_3",
    "version_4",
    "version_5",
    "webhook"
  ]
}